GNU bug report logs - #37954
27.0.50; No Tramp completion if completion-styles doesn't include basic, emacs22, or emacs21

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Tassilo Horn <tsdh@HIDDEN>; dated Mon, 28 Oct 2019 06:28:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Removed tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 37954 <at> debbugs.gnu.org:


Received: (at 37954) by debbugs.gnu.org; 21 May 2022 12:48:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 21 08:48:02 2022
Received: from localhost ([127.0.0.1]:40901 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nsOWY-0002Yv-DS
	for submit <at> debbugs.gnu.org; Sat, 21 May 2022 08:48:02 -0400
Received: from quimby.gnus.org ([95.216.78.240]:45518)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nsOWV-0002Xi-1a
 for 37954 <at> debbugs.gnu.org; Sat, 21 May 2022 08:48:01 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=abQUiADiUPGnIyDRZoiyqz6K0jJ7xC9l+6a0GvnHoTY=; b=AmkNLCwIthhzGllLpgThspMtDJ
 PAMWibw46qoBOozITQ0agHJiMWhSkr8IRTyLbQwB1oGYKK0fgXsmauxHmF5cZAsdPp4wXjwp6XVPh
 nCcmnLXtnVxhZiSCZ9569j70ap6GFaKEhdy9GJUagclNveAPX7lgSZnCD5Wr9w+tVdw8=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nsOWL-0003NJ-Jq; Sat, 21 May 2022 14:47:52 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#37954: 27.0.50; No Tramp completion if completion-styles
 doesn't include basic, emacs22, or emacs21
References: <87zhhls7uo.fsf@HIDDEN> <87a6bc4gfx.fsf@HIDDEN>
 <874k1kfgx2.fsf@HIDDEN>
X-Now-Playing: Neil Young's _Comes a Time_: "Lotta Love"
Date: Sat, 21 May 2022 14:47:47 +0200
In-Reply-To: <874k1kfgx2.fsf@HIDDEN> (Michael Albinus's message of "Fri, 20
 May 2022 15:54:33 +0200")
Message-ID: <877d6fyrv0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Michael Albinus <michael.albinus@HIDDEN> writes: >> Adding
 that to the doc string of `completion-styles' sounds OK to me, >> but perhaps
 Michael has some comments about why/whether this is >> necessary; added to
 the CCs. > > Honestly, I have no idea [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37954
Cc: Tassilo Horn <tsdh@HIDDEN>, 37954 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Michael Albinus <michael.albinus@HIDDEN> writes:

>> Adding that to the doc string of `completion-styles' sounds OK to me,
>> but perhaps Michael has some comments about why/whether this is
>> necessary; added to the CCs.
>
> Honestly, I have no idea about  completion styles.

OK; I've now added a note to the doc string in emacs-28, but I'm leaving
this bug report open, since the underlying problem should be fixed (as
sketched by Stefan in the URL in the bug report).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37954; Package emacs. Full text available.

Message received at 37954 <at> debbugs.gnu.org:


Received: (at 37954) by debbugs.gnu.org; 20 May 2022 13:54:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 20 09:54:43 2022
Received: from localhost ([127.0.0.1]:38036 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ns35W-0001GR-Uq
	for submit <at> debbugs.gnu.org; Fri, 20 May 2022 09:54:43 -0400
Received: from mout.gmx.net ([212.227.15.15]:44321)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1ns35V-0001GE-Ng
 for 37954 <at> debbugs.gnu.org; Fri, 20 May 2022 09:54:42 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1653054875;
 bh=+VtsBLUEKgqHQBvpj5yObnCk0AnlOyrWcuibiJQEtG0=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=KgzzmMB6AMYUQ/pVRLAOAGxFuUHF7VQmwdAQOenR7VxYGMOSCIx2a9YKUwSJndf6q
 Wx4XoVvIANGLyBz9EvRY6y9OQ1/GT6nQcZTizDmPRWZGuVRh9h56j6ECiPhPg2Md3g
 TukHEmm0gaCvMRmvO3xJ5P/g8tbcDMy6LNQ1Ozc0=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from gandalf.gmx.de ([213.220.149.14]) by mail.gmx.net (mrgmx005
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1M7K3i-1nxWC718fM-007li5; Fri, 20
 May 2022 15:54:35 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#37954: 27.0.50; No Tramp completion if completion-styles
 doesn't include basic, emacs22, or emacs21
References: <87zhhls7uo.fsf@HIDDEN> <87a6bc4gfx.fsf@HIDDEN>
Date: Fri, 20 May 2022 15:54:33 +0200
In-Reply-To: <87a6bc4gfx.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Fri,
 20 May 2022 13:00:18 +0200")
Message-ID: <874k1kfgx2.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:dJ4wTSmX16Ui3rjsB/tPknvqO2PDybpqIIRAQPID8z0Xhzc84H0
 2CqmN5/V5TyEwgXWDomaHxkZ4Jd5QycZ0nPxbkGx3DqgPZ11L/dYhx1l5tjRzKq0xUqta7y
 nJyp0Cq56ktQakJdAWeDo3jY6Ea8xZCuAL2pLvFH8AnXxiTTcqm2iMwAaxLuCOfcp/sGEvB
 GvhkzbeR2sc4S0ZSHwUog==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:g1j9+sP2IaM=:1IUFGNve5EnDSB/tSePL8c
 bj970Bc9QmlzqsOtcWCJ7LFMl4/Fs5vbYShVJFo5KgnA/IHAajlH8p5t2kn2PJ4KrQNBb9k3M
 XY5KC8oPIfaI7K4zDKC7kIfQzjuE/g22hn2TeaVRB74Fni24KCP0+MIVt80lVoX0gz8ETjPJK
 2LBB96gBYzmkU1bwvxH2QvQ6rsG7MBEiPhGE5isboWKIjAY8mBHc5MSJRF4yy4uQr68XNe78s
 oD6tzmVmhVPDu7C48BSW5yK4c8u6B9jO2gzsflF0rainiR3MdyRKvDvpVNe5mudVBChAphfK1
 YEaavJ3EkSPkSZ/+HAeislxJJoR91MHMspI39TzVrmessXNHDpHvaW3LrHpsBQECOA+AAssyN
 t+a3bH0Z1aPsFamvTUD8Eh5fzvUx3OT51PnbrkjVaVBJMMdofok5FPTo6SDmmWT+IkcbkCMVC
 yCxrUL+M1x28QdPz2Q2Fbx/ybri8VYrHvOIPlH2a1+vzhJVKfW6+92FqGxYIsTdbLeiRVf6DC
 MbctYllDcUIepoul7JBYSsVSLWY/2ojrd8ZIGJjPnObOtjPLIjTjSzmqYI6A8e89xuJ2WmsbW
 uzmuoHxpC88NW1Af+saOLCHOTkKKf6XJT1rBJ6eX3bxfoXD10NCW3FwFUbNsYYKZflcLPBUOe
 F6T5+I/Zps7Gq865F+5984r86QC1gihvgHyxHLfBqLBx4DqpSviVz+w64dn3PhF8xdLlG9Aug
 ZuNlWJBnk1IcTADwvpencgR+5qy2FvFAnlQYVfdA/gWWxW5yAE981tCqoFXzlr2Tmb4UcPOSR
 XUX75ZcH0RYoV3xjYJVvg4CZKetvZJUAoGj5FqJiitwKW+kj0/FlwEkRIcq8U3qKp0zs9K/Em
 aB+soBgD6Jhl2pU38Hp+0lakKiYZyN97R+yQwvwlVybVNjKygY0g69kmc5SLNGzu/KCiWo5Z8
 zAh/BDl9aVz43qQ2NiCWo1Cm2LQicwyU+WpsqjVU5zcO+bWr8hjxyF/a/SyhxAhLNeQad7pPO
 8nt8J+1aH2u4OobMpw3yxhacZXPCeYfb44oOvCKKYkwZmQ+OD4S3rwthipOWVNgBTfPdr8Y9u
 Kdx92J2daimyfwywp7FiklZUQ96JunhO04GT+Y13yE1bxcDSopzGdxGOw==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37954
Cc: 37954 <at> debbugs.gnu.org, Tassilo Horn <tsdh@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

Hi Lars,

> Adding that to the doc string of `completion-styles' sounds OK to me,
> but perhaps Michael has some comments about why/whether this is
> necessary; added to the CCs.

Honestly, I have no idea about  completion styles.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37954; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 37954 <at> debbugs.gnu.org:


Received: (at 37954) by debbugs.gnu.org; 20 May 2022 11:00:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 20 07:00:30 2022
Received: from localhost ([127.0.0.1]:37719 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ns0Mw-00053I-9p
	for submit <at> debbugs.gnu.org; Fri, 20 May 2022 07:00:30 -0400
Received: from quimby.gnus.org ([95.216.78.240]:33498)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1ns0Mt-0004up-R6
 for 37954 <at> debbugs.gnu.org; Fri, 20 May 2022 07:00:29 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=Q3s7/IOJ22uKu5T+0B5d4ly97LIwF/aR33t2+FlNQNU=; b=CutSra+ZjVL0dF/oe/FSFv26OD
 TmSIRxzBbaPLk2B+5pAB4Y8aVmhCaCfj0alsvT3BFDsnx959+/+GUkbu6/2MSAz71P8S1DcdSazIe
 OlO7zFuSzr35yoXzfPyMy2gdNzkDN7GvkKSf7YdqT/xBhotU6YrG/LQSiQ7zYEWuMK8E=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1ns0Ml-0006rA-At; Fri, 20 May 2022 13:00:21 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Tassilo Horn <tsdh@HIDDEN>
Subject: Re: bug#37954: 27.0.50; No Tramp completion if completion-styles
 doesn't include basic, emacs22, or emacs21
References: <87zhhls7uo.fsf@HIDDEN>
X-Now-Playing: Sonoko's _La Debutante_: "George Boy"
Date: Fri, 20 May 2022 13:00:18 +0200
In-Reply-To: <87zhhls7uo.fsf@HIDDEN> (Tassilo Horn's message of "Mon, 28 Oct
 2019 07:27:11 +0100")
Message-ID: <87a6bc4gfx.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Tassilo Horn <tsdh@HIDDEN> writes: > With > > emacs -Q
 --eval
 "(setq completion-styles '(partial-completion > substring initials flex)
 completion-category-overrides nil)" > > Tramp file name completion does not
 work. E.g., C-x C-f /ssh [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37954
Cc: Michael Albinus <michael.albinus@HIDDEN>, 37954 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Tassilo Horn <tsdh@HIDDEN> writes:

> With
>
>   emacs -Q --eval "(setq completion-styles '(partial-completion
>   substring initials flex) completion-category-overrides nil)"
>
> Tramp file name completion does not work.  E.g., C-x C-f /ssh:<tab> will
> not suggest usernames and hostnames.  Currently, it is mandatory to have
> one of the completion styles basic, emacs22, or emacs21 enabled.
>
> Stefan Monnier explained why that's currently the way it is and possible
> solutions to the problem in
>
> https://lists.gnu.org/archive/html/help-gnu-emacs/2019-10/msg00148.html
>
> For the time being, I'd suggest to adapt the completion styles
> documentation so that it explititly mentions keeping a basic style
> (basic, emacs22, or emacs21) in completion-styles.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

Adding that to the doc string of `completion-styles' sounds OK to me,
but perhaps Michael has some comments about why/whether this is
necessary; added to the CCs.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37954; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Oct 2019 06:27:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 28 02:27:24 2019
Received: from localhost ([127.0.0.1]:43762 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iOyUu-0005TT-8I
	for submit <at> debbugs.gnu.org; Mon, 28 Oct 2019 02:27:24 -0400
Received: from lists.gnu.org ([209.51.188.17]:48123)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tsdh@HIDDEN>) id 1iOyUs-0005TL-Qv
 for submit <at> debbugs.gnu.org; Mon, 28 Oct 2019 02:27:23 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:40025)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <tsdh@HIDDEN>) id 1iOyUq-00077L-Uu
 for bug-gnu-emacs@HIDDEN; Mon, 28 Oct 2019 02:27:22 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.2 required=5.0 tests=BAYES_50,KHOP_HELO_FCRDNS,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:470:142:3::e]:41347)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <tsdh@HIDDEN>)
 id 1iOyUq-00025K-Qb
 for bug-gnu-emacs@HIDDEN; Mon, 28 Oct 2019 02:27:20 -0400
Received: from auth2-smtp.messagingengine.com ([66.111.4.228]:51481)
 by fencepost.gnu.org with esmtpsa (TLS1.2:DHE_RSA_AES_256_CBC_SHA256:256)
 (Exim 4.82) (envelope-from <tsdh@HIDDEN>) id 1iOyUp-0002FG-UW
 for bug-gnu-emacs@HIDDEN; Mon, 28 Oct 2019 02:27:20 -0400
Received: from compute7.internal (compute7.nyi.internal [10.202.2.47])
 by mailauth.nyi.internal (Postfix) with ESMTP id 4B24F22268
 for <bug-gnu-emacs@HIDDEN>; Mon, 28 Oct 2019 02:27:19 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute7.internal (MEProxy); Mon, 28 Oct 2019 02:27:19 -0400
X-ME-Sender: <xms:R4q2XanZdWC3mWTUDZ9fl60NddHIUBBth-UXB7T9loN_1STAwLDOKw>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedufedrleekgdeliecutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfghnecu
 uegrihhlohhuthemuceftddtnecunecujfgurhephffvufffkfgfgggtgfesthhqredttd
 erjeenucfhrhhomhepvfgrshhsihhlohcujfhorhhnuceothhsughhsehgnhhurdhorhhg
 qeenucffohhmrghinhepghhnuhdrohhrghenucfkphepudefgedrudduledrvdegrddule
 ehnecurfgrrhgrmhepmhgrihhlfhhrohhmpehthhhorhhnodhmvghsmhhtphgruhhthhhp
 vghrshhonhgrlhhithihqdekieejfeekjeekgedqieefhedvleekqdhtshguhheppehgnh
 hurdhorhhgsehfrghsthhmrghilhdrfhhmnecuvehluhhsthgvrhfuihiivgeptd
X-ME-Proxy: <xmx:R4q2Xe8_nV5Sg94O7aiYdxWxLBuL6jxj57DElBBDyRxtk_a5m4Rmsg>
 <xmx:R4q2XXpMtcYzlCW-rZ0oTq_LY4QM2gs8IqLZ07q-hXwQrJZ3vdCn1w>
 <xmx:R4q2XflzmCAVbAreKFeoNs6Av15-q2N7na3GwjJtIsxL0VATR4QXgQ>
 <xmx:R4q2XfxZb-0zWmPI81MKgZRfXsZGSAJoH7df8czv03xR8zlylAwoGg>
Received: from jiffyarch (j289989.servers.jiffybox.net [134.119.24.195])
 by mail.messagingengine.com (Postfix) with ESMTPA id BEEE0D60057
 for <bug-gnu-emacs@HIDDEN>; Mon, 28 Oct 2019 02:27:18 -0400 (EDT)
From: Tassilo Horn <tsdh@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.0.50; No Tramp completion if completion-styles doesn't include
 basic, emacs22, or emacs21
Date: Mon, 28 Oct 2019 07:27:11 +0100
Message-ID: <87zhhls7uo.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


With

  emacs -Q --eval "(setq completion-styles '(partial-completion
  substring initials flex) completion-category-overrides nil)"

Tramp file name completion does not work.  E.g., C-x C-f /ssh:<tab> will
not suggest usernames and hostnames.  Currently, it is mandatory to have
one of the completion styles basic, emacs22, or emacs21 enabled.

Stefan Monnier explained why that's currently the way it is and possible
solutions to the problem in

https://lists.gnu.org/archive/html/help-gnu-emacs/2019-10/msg00148.html

For the time being, I'd suggest to adapt the completion styles
documentation so that it explititly mentions keeping a basic style
(basic, emacs22, or emacs21) in completion-styles.


In GNU Emacs 27.0.50 (build 4, x86_64-pc-linux-gnu)
 of 2019-10-28 built on jiffyarch
Repository revision: 7e30076225cebe85f7e60802f471b421a369abd7
Repository branch: master
System Description: Arch Linux

Recent messages:
error in process filter: image-type: Invalid image type =E2=80=98jpeg=E2=80=
=99
error in process filter: Invalid image type =E2=80=98jpeg=E2=80=99
error in process filter: image-type: Invalid image type =E2=80=98jpeg=E2=80=
=99
error in process filter: Invalid image type =E2=80=98jpeg=E2=80=99
20191028T070728.386> End of message
20191028T070728.415> End of message
20191028T070728.445> End of message
20191028T070728.476> End of message
20191028T070728.505> End of message
20191028T070728.535> End of message

Configured using:
 'configure --without-x --without-x-toolkit'

Configured features:
SOUND GPM DBUS NOTIFY INOTIFY ACL GNUTLS LIBXML2 ZLIB XIM MODULES
THREADS LIBSYSTEMD PDUMPER GMP

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Summary

Minor modes in effect:
  gnus-mailing-list-mode: t
  hl-line-mode: t
  beacon-mode: t
  global-aggressive-indent-mode: t
  which-key-mode: t
  global-company-mode: t
  global-magit-file-mode: t
  magit-auto-revert-mode: t
  global-git-commit-mode: t
  async-bytecomp-package-mode: t
  shell-dirtrack-mode: t
  override-global-mode: t
  icomplete-mode: t
  minibuffer-depth-indicate-mode: t
  electric-pair-mode: t
  recentf-mode: t
  global-subword-mode: t
  subword-mode: t
  save-place-mode: t
  savehist-mode: t
  show-paren-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  global-prettify-symbols-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow emacsbug mule-util sort gnus-cite qp gnus-bcklg gnus-async
gnus-ml hl-line nndraft nnmh rot13 utf-7 network-stream nnml nnnil
gnus-agent gnus-srvr gnus-score score-mode nnvirtual gnus-cache
gnus-demon nntp spam spam-stat gnus-uu yenc gnus-msg gnus-gravatar
mail-extr gravatar url-cache gnus-topic gnus-registry registry
eieio-base th-private term/screen term/xterm xterm company-oddmuse
company-keywords company-etags etags fileloop xref company-gtags
company-dabbrev-code company-dabbrev company-files company-capf
company-cmake company-xcode company-clang company-semantic company-eclim
company-template company-bbdb org-rmail org-mhe org-irc org-info
org-gnus nnir org-docview doc-view jka-compr image-mode exif org-bibtex
bibtex org-bbdb org-w3m paredit symbol-overlay
display-fill-column-indicator auto-package-update finder-inf generic
fish-mode cargo cargo-process compile rust-mode web-mode disp-table
beacon aggressive-indent rainbow-mode vc-git vc-dir ewoc vc
vc-dispatcher epa-file org-element avl-tree generator org org-macro
org-footnote org-pcomplete org-list org-faces org-entities org-version
ob-emacs-lisp ob ob-tangle org-src ob-ref ob-lob ob-table ob-keys ob-exp
ob-comint ob-core ob-eval org-compat org-macs org-loaddefs find-func
cal-menu calendar cal-loaddefs dired-x dired-collapse dired-hacks-utils
f s boxquote rect smtpmail-multi smtpmail sendmail ecomplete yasnippet
auto-dictionary flyspell ispell tramp-smb tramp tramp-loaddefs trampver
tramp-integration files-x tramp-compat ls-lisp which-key
highlight-parentheses company-restclient know-your-http-well
http-status-codes http-relations http-methods http-headers company pcase
raven project restclient forge-list forge-commands forge-semi
forge-bitbucket buck forge-gogs gogs forge-gitea gtea forge-gitlab glab
forge-github ghub-graphql treepy gsexp ghub let-alist gnutls
forge-notify forge-revnote forge-pullreq forge-issue forge-topic
bug-reference forge-post markdown-mode color thingatpt noutline outline
forge-repo forge forge-core forge-db closql emacsql-sqlite emacsql
emacsql-compiler magit-submodule magit-obsolete magit-blame magit-stash
magit-reflog magit-bisect magit-push magit-pull magit-fetch magit-clone
magit-remote magit-commit magit-sequence magit-notes magit-worktree
magit-tag magit-merge magit-branch magit-reset magit-files magit-refs
magit-status magit magit-repos magit-apply magit-wip magit-log
which-func imenu magit-diff smerge-mode diff diff-mode magit-core
magit-autorevert autorevert filenotify magit-margin magit-transient
magit-process magit-mode transient git-commit magit-git magit-section
magit-utils crm log-edit pcvs-util add-log with-editor async-bytecomp
advice async shell pcomplete comint ansi-color ring server dash
visual-filename-abbrev debbugs soap-client url-http url-auth url-gw nsm
warnings rng-xsd rng-dt rng-util xsd-regexp use-package-ensure
use-package-bind-key bind-key easy-mmode icomplete mb-depth windmove
elec-pair regexp-opt rx recentf tree-widget cap-words superword subword
saveplace savehist paren smiley gnus-art mm-uu mml2015 mm-view mml-smime
smime dig gnus-sum url url-proxy url-privacy url-expand url-methods
url-history mailcap shr url-cookie url-domsuf url-util image svg xml dom
gnus-group gnus-undo gnus-start gnus-cloud nnimap nnmail mail-source
utf7 netrc nnoo parse-time iso8601 gnus-spec gnus-int gnus-range message
rmc puny dired dired-loaddefs format-spec rfc822 mml mml-sec epa derived
epg epg-config mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader gnus-win gnus wid-edit nnheader
gnus-util rmail rmail-loaddefs rfc2047 rfc2045 ietf-drums
text-property-search time-date mm-util mail-prsvr mail-utils edmacro
kmacro dracula-theme cl-extra help-mode use-package-core info tool-bar
package easymenu browse-url url-handlers url-parse auth-source cl-seq
eieio eieio-core cl-macs eieio-loaddefs password-cache json subr-x map
url-vars seq byte-opt gv bytecomp byte-compile cconv cl-loaddefs cl-lib
tooltip eldoc electric uniquify ediff-hook vc-hooks lisp-float-type
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch timer
select mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads dbusbind inotify multi-tty make-network-process emacs)

Memory information:
((conses 16 553402 38611)
 (symbols 48 43782 3)
 (strings 32 210976 10674)
 (string-bytes 1 6458314)
 (vectors 16 65693)
 (vector-slots 8 1143895 32620)
 (floats 8 629 1083)
 (intervals 56 767 33)
 (buffers 1000 32))




Acknowledgement sent to Tassilo Horn <tsdh@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#37954; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 21 May 2022 13:00:03 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.